%global pkg_name haskell-src

%global common_summary Haskell source-code manipulation library

%global common_description Facilities for manipulating Haskell source code:\
an abstract syntax, lexer, parser and pretty-printer.

Name:           ghc-%{pkg_name}
# part of haskell-platform-2011.4.0.0
Version:        1.0.1.4
Release:        10%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-haskell98-prof
BuildRequires:  ghc-syb-prof
BuildRequires:  happy

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 28 2011 Jens Petersen <petersen@redhat.com> - 1.0.1.4-9
- rebuild for newer syb in haskell-platform-2011.4.0.0
- update to cabal2spec-0.25.1

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.1.4-8.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.1.4-8.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.0.1.4-8.1
- rebuild with new gmp

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 1.0.1.4-8
- ghc_arches replaces ghc_excluded_archs

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 1.0.1.4-7
- BR ghc-Cabal-devel and use ghc_excluded_archs

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 1.0.1.4-6
- update to cabal2spec-0.23: add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.0.1.4-5
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 1.0.1.4-3
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.4-2
- rebuild

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.4-1
- update to 1.0.1.4
- add syb dependency for ghc7
- update url and drop -o obsoletes

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-6
- add hscolour and doc obsolete (cabal2spec-0.22.2)

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-5
- sync cabal2spec-0.22.1

* Thu Apr 29 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-4
- part of haskell-platform-2010.1.0.0
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Fri Jan 22 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-3
- buildrequires happy (Rakesh Pandit, #557393)

* Thu Jan 21 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-2
- BSD license
- summary and description
- comment part of haskell-platform-2009.2.0.2

* Thu Jan 21 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.0.1.3-1
- initial packaging for Fedora automatically generated by cabal2spec-0.21.1
